#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'searchbar.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "searchbar.h"

#include <ntqvariant.h>
#include <kcombobox.h>
#include <klineedit.h>
#include <kpushbutton.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a SearchBar as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
SearchBar::SearchBar( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "SearchBar" );
    SearchBarLayout = new TQHBoxLayout( this, 11, 6, "SearchBarLayout"); 

    m_back = new KPushButton( this, "m_back" );
    SearchBarLayout->addWidget( m_back );

    m_reload = new KPushButton( this, "m_reload" );
    SearchBarLayout->addWidget( m_reload );

    m_clear_button = new KPushButton( this, "m_clear_button" );
    SearchBarLayout->addWidget( m_clear_button );

    m_search_text = new KLineEdit( this, "m_search_text" );
    SearchBarLayout->addWidget( m_search_text );

    m_search_button = new KPushButton( this, "m_search_button" );
    SearchBarLayout->addWidget( m_search_button );
    spacer1 = new TQSpacerItem( 60, 20, TQSizePolicy::Maximum, TQSizePolicy::Minimum );
    SearchBarLayout->addItem( spacer1 );

    textLabel1 = new TQLabel( this, "textLabel1" );
    SearchBarLayout->addWidget( textLabel1 );

    m_search_engine = new KComboBox( FALSE, this, "m_search_engine" );
    m_search_engine->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, m_search_engine->sizePolicy().hasHeightForWidth() ) );
    m_search_engine->setMinimumSize( TQSize( 150, 0 ) );
    SearchBarLayout->addWidget( m_search_engine );
    languageChange();
    resize( TQSize(804, 52).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SearchBar::~SearchBar()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SearchBar::languageChange()
{
    m_back->setText( TQString::null );
    m_reload->setText( TQString::null );
    m_clear_button->setText( TQString::null );
    m_search_button->setText( tr2i18n( "Search" ) );
    textLabel1->setText( tr2i18n( "Engine:" ) );
}

/****************************************************************************
** SearchBar meta object code from reading C++ file 'searchbar.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "searchbar.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *SearchBar::className() const
{
    return "SearchBar";
}

TQMetaObject *SearchBar::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_SearchBar( "SearchBar", &SearchBar::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString SearchBar::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "SearchBar", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString SearchBar::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "SearchBar", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* SearchBar::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"SearchBar", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_SearchBar.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* SearchBar::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "SearchBar" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool SearchBar::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool SearchBar::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool SearchBar::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool SearchBar::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
